#!/usr/bin/env bash

script="$(realpath "${BASH_SOURCE[-1]}")"
path="$(dirname "$script")"

cd $path

wget -O spaceapi-schema.json https://raw.githubusercontent.com/SpaceApi/schema/master/14.json
go install github.com/a-h/generate/cmd/schema-generate@latest
mkdir -p pkg/spaceapi
/go/bin/schema-generate -o pkg/spaceapi/spaceapi.go -p spaceapi spaceapi-schema.json
rm spaceapi-schema.json

# TODO: Do it inline
# https://github.com/a-h/generate/blob/master/cmd/schema-generate/main.go